#define USE_DEFAULT_VERT
#include "../base.shader"

sampler2D _thresholdTexture;
sampler2D _texture;
float4 _color;
float4 _unfilledColor;
float _value;
PIX_OUTPUT pix(in PIX_INPUT input) : COLOR0
{
	float4 c = tex2D(_texture, input.uv);
	float threshold = tex2D(_thresholdTexture, input.uv).r;
	if(_value >= threshold)
		c *= _color;
	else
		c *= _unfilledColor;
	c *= input.color;
	return c;
}